<?php
namespace Claromentis\Core\Admin;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array();
use Claromentis\Core\Icon\IconInterface;
use Claromentis\Core\Security\SecurityContext;






interface AdminPanel
{
    
    
    
    
    public function GetName();
    
    
    
    
    public function GetCode();
    
    
    
    
    public function GetUrl();
    
    
    
    
    
    
    
    
    public function getIcon() : ?IconInterface;
    
    
    
    
    
    
    public function setIcon(?IconInterface $icon) : void;
    
    
    
    
    
    
    public function GetAdmins();
    
    
    
    
    
    
    
    public function IsAccessible(SecurityContext $context);
}